## GUPnPFeatureListParser GUPnPFeatureListParser — FeatureList state variable XML parser |

## Functions

GUPnPFeatureListParser * | gupnp_feature_list_parser_new ()
GList * | gupnp_feature_list_parser_parse_text ()

## Types and Values

| GUPnPFeatureListParser

## Description

GUPnPFeatureListParser parses XML strings from ContentDirectory FeatureList state variable.

## Functions

### gupnp_feature_list_parser_new ()

    GUPnPFeatureListParser *
    gupnp_feature_list_parser_new (void);

#### Returns

A new GUPnPFeatureListParser object.

### gupnp_feature_list_parser_parse_text ()

    GList *
    gupnp_feature_list_parser_parse_text (GUPnPFeatureListParser *parser,
                                          const char *text,
                                          GError **error);

Parses `text` and returns the list of available features. If an error occured `error` will be set.

#### Parameters

parser | A GUPnPFeatureListParser |
text | The feature list string to be parsed |
error | The location where to store the error information if any, or NULL |

#### Returns

The list of features or `NULL` if an error occured.

[transfer full][element-type GUPnPFeature]

## Types and Values

### GUPnPFeatureListParser

    typedef struct {
            GObject parent;
    } GUPnPFeatureListParser;